Package relaxngcc.parser

# Class RootParserRuntime

java.lang.Object
relaxngcc.parser.state.NGCCRuntime
relaxngcc.parser.ParserRuntime
relaxngcc.parser.RootParserRuntime

All Implemented Interfaces:
  `ContentHandler`, `NGCCEventSource`

public class RootParserRuntime extends ParserRuntime
`ParserRuntime` that parses grammars as the root definition.

Author:
  Kohsuke Kawaguchi (kk@kohsuke.org)

## Field Summary

### Fields inherited from class relaxngcc.parser.ParserRuntime

`grammar`

## Constructor Summary

Constructors
Constructor
Description
`RootParserRuntime(Options _options)`

## Method Summary

Modifier and Type
Method
Description
`void`
`appendGlobalBody(String code)`
`void`
`appendGlobalImport(String code)`
`long`
`getGrammarTimestamp()`
`NGCCGrammar`
`getResult()`
Gets the parsed result, or null if there was any error.
`RootParserRuntime`
`getRootRuntime()`
Gets the reference to the root runtime.
`void`
`startElement(String uri, String local, String qname, Attributes atts)`

### Methods inherited from class relaxngcc.parser.ParserRuntime

`addError, createLocator, endElement, getDatatype, getTargetNamespace, iterateErrors, parse, parseSimpleName, processInclude`

### Methods inherited from class relaxngcc.parser.state.NGCCRuntime

`characters, consumeAttribute, endDocument, endPrefixMapping, getAttributeIndex, getCurrentAttributes, getLocator, ignorableWhitespace, onEnterElementConsumed, onLeaveElementConsumed, processingInstruction, processList, redirectSubtree, replace, reset, resolveNamespacePrefix, sendEnterAttribute, sendEnterElement, sendLeaveAttribute, sendLeaveElement, sendText, setDocumentLocator, setRootHandler, skippedEntity, startDocument, startPrefixMapping, trace, traceln`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.xml.sax.ContentHandler

`declaration`

## Constructor Details

### RootParserRuntime

public RootParserRuntime(Options _options)

## Method Details

### appendGlobalImport

public void appendGlobalImport(String code)

### appendGlobalBody

public void appendGlobalBody(String code)

### getGrammarTimestamp

public long getGrammarTimestamp()

### getRootRuntime

public RootParserRuntime getRootRuntime()
Description copied from class: `ParserRuntime`
Gets the reference to the root runtime.

Specified by:
  `getRootRuntime` in class `ParserRuntime`

### getResult

public NGCCGrammar getResult()
Gets the parsed result, or null if there was any error.

### startElement

public void startElement(String uri, String local, String qname, Attributes atts) throws SAXException

Specified by:
  `startElement` in interface `ContentHandler`
Overrides:
  `startElement` in class `ParserRuntime`
Throws:
  `SAXException`